package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.SYXXXSearchContext;

/**
 * 实体 [商业险信息] 存储模型
 */
public interface SYXXX{

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 自主系数
     */
    Double getZzxs();

    void setZzxs(Double zzxs);

    /**
     * 获取 [自主系数]脏标记
     */
    boolean getZzxsDirtyFlag();
    /**
     * 责任限额
     */
    BigDecimal getZrxe();

    void setZrxe(BigDecimal zrxe);

    /**
     * 获取 [责任限额]脏标记
     */
    boolean getZrxeDirtyFlag();
    /**
     * 费率
     */
    Double getFl();

    void setFl(Double fl);

    /**
     * 获取 [费率]脏标记
     */
    boolean getFlDirtyFlag();
    /**
     * 商业险信息标识
     */
    String getSYXXXId();

    void setSYXXXId(String sYXXXId);

    /**
     * 获取 [商业险信息标识]脏标记
     */
    boolean getSYXXXIdDirtyFlag();
    /**
     * 条款代码
     */
    String getTkdm();

    void setTkdm(String tkdm);

    /**
     * 获取 [条款代码]脏标记
     */
    boolean getTkdmDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 平台返回系数
     */
    Double getPtfhxs();

    void setPtfhxs(Double ptfhxs);

    /**
     * 获取 [平台返回系数]脏标记
     */
    boolean getPtfhxsDirtyFlag();
    /**
     * MD
     */
    String getMd();

    void setMd(String md);

    /**
     * 获取 [MD]脏标记
     */
    boolean getMdDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 基准保费
     */
    BigDecimal getJzbf();

    void setJzbf(BigDecimal jzbf);

    /**
     * 获取 [基准保费]脏标记
     */
    boolean getJzbfDirtyFlag();
    /**
     * 实交保费
     */
    BigDecimal getSjbf();

    void setSjbf(BigDecimal sjbf);

    /**
     * 获取 [实交保费]脏标记
     */
    boolean getSjbfDirtyFlag();
    /**
     * 不计免赔
     */
    Integer getBjmp();

    void setBjmp(Integer bjmp);

    /**
     * 获取 [不计免赔]脏标记
     */
    boolean getBjmpDirtyFlag();
    /**
     * 商业险信息名称
     */
    String getSYXXXName();

    void setSYXXXName(String sYXXXName);

    /**
     * 获取 [商业险信息名称]脏标记
     */
    boolean getSYXXXNameDirtyFlag();
    /**
     * 条款名称
     */
    String getTkmc();

    void setTkmc(String tkmc);

    /**
     * 获取 [条款名称]脏标记
     */
    boolean getTkmcDirtyFlag();
    /**
     * 车险单标识
     */
    String getCIDId();

    void setCIDId(String cIDId);

    /**
     * 获取 [车险单标识]脏标记
     */
    boolean getCIDIdDirtyFlag();
}
